Bug 830077 - Certify for Java7
Certify for Java7
Status: NEW
Product: JBoss Enterprise Portal Platform 5
Classification: JBoss
Component: Portal (Show other bugs)
5.2.x
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 5.2.x
Assigned To: Default User
:
Depends On:
Blocks: JBEPP-1509
  Show dependency treegraph
 
Reported: 2012-06-08 03:30 EDT by hfnukal@redhat.com
Modified: 2012-08-16 07:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker GTNPORTAL-2337 Major Resolved I18N locale identifier parsing code does not support all valid cases in Java 7 2015-06-11 09:09:23 EDT
JBoss Issue Tracker JBEPP-1509 Major Closed I18N locale identifier parsing code does not support all valid cases in Java 7 2015-06-11 09:09:23 EDT

  None (edit)
Description hfnukal@redhat.com 2012-06-08 03:30:57 EDT
Certify EPP for Java 7
Comment 1 JBoss JIRA Server 2012-07-10 08:24:24 EDT
Peter Palaga <ppalaga@redhat.com> made a comment on jira GTNPORTAL-2337

The patch adds the ability to the I18N class and its tests to run under Java 7. However, the Java 7-specific locale IDs (with e.g. #u-... and #{script} suffixes) are still unsupported. Only two IDs comming from the Java 7 world are supported now: "ja_JP_JP_#u-ca-japanese" and "th_TH_TH_#u-nu-thai"; see http://docs.oracle.com/javase/7/docs/api/java/util/Locale.html

Note You need to log in before you can comment on or make changes to this bug.